;----------------------------------
; SOL_ASM Win32 mini include file
;----------------------------------

STRUC WNDCLASS
	style			dd	?
	wnd_proc_ptr		dd	?
	cls_extra		dd	?
	wnd_extra		dd	?
	instance_handle		dd	?
	icon_handle		dd	?
	cursor_handle		dd	?
	back_brush_handle	dd	?
	menu_name_ptr		dd	?
	class_name_ptr		dd	?
ENDS


STRUC POINT
	x			dd	?
	y			dd	?
ENDS


STRUC RECT
	left			dd	?
	top			dd	?
	right			dd	?
	bottom			dd	?
ENDS


STRUC MSG
	hwnd		dd	?
	message		dd	?
	wParam		dd	?
	lParam		dd	?
	time		dd	?

	pt_x		dd	?
	pt_y		dd	?

	;pt		rs	POINT,1
ENDS


STRUC PAINTSTRUCT
	hdc			dd	?
	fErase			dd	?

	rect			rs	RECT,1

  	fRestore		dd	?
	fIncUpdate		dd	?
	rgbReserved		rb	32

ENDS


;----------------------
; Window Styles
;----------------------
WS_OVERLAPPED			equ	0000_0000h

WS_MAXIMIZEBOX			equ	0001_0000h
WS_MINIMIZEBOX			equ	0002_0000h
WS_THICKFRAME			equ	0004_0000h
WS_SYSMENU			equ	0008_0000h

WS_CAPTION			equ	00C0_0000h



;----------------------
; Class Styles
;----------------------
CS_VREDRAW			equ	1h
CS_HREDRAW			equ	2h

;----------------------
; Colors
;----------------------
COLOR_MENU			equ	4
COLOR_WINDOW			equ	5
COLOR_BTNFACE			equ	15
COLOR_BTNSHADOW			equ	16
COLOR_GRAYTEXT			equ	17
COLOR_BTNTEXT			equ	18
COLOR_3DDKSHADOW		equ	21

;----------------------
; Messages
;----------------------
WM_CREATE			equ	1h
WM_DESTROY			equ	2h
WM_MOVE				equ	3h
WM_SIZE				equ	5h
WM_ACTIVATE			equ	6h
WM_SETFOCUS			equ	7h

WM_PAINT			equ	0Fh

;----------------------
; Cursors
;----------------------
IDC_ARROW			equ	32512
IDC_IBEAM			equ	32513
IDC_WAIT			equ	32514
IDC_CROSS			equ	32515
IDC_UPARROW			equ	32516
IDC_SIZE			equ	32640
IDC_ICON			equ	32641
IDC_SIZENWSE			equ	32642
IDC_SIZENESW			equ	32643
IDC_SIZEWE			equ	32644
IDC_SIZENS			equ	32645
IDC_SIZEALL			equ	32646
IDC_NO				equ	32648
IDC_HAND			equ	32649
IDC_APPSTARTING			equ	32650
IDC_HELP			equ	32651

;-------------------------
; Icons
;-------------------------
IDI_APPLICATION			equ	32512
IDI_HAND			equ	32513
IDI_QUESTION			equ	32514
IDI_EXCLAMATION			equ	32515
IDI_ASTERISK			equ	32516
IDI_WINLOGO			equ	32517


SW_SHOW				equ 	5

DLL_PROCESS_DETACH		equ 0
DLL_PROCESS_ATTACH		equ 1
DLL_THREAD_ATTACH		equ 2
DLL_THREAD_DETACH		equ 3

MB_OK				equ 0


